Bug 104408 - brctl doesn't have meaningful exit code.
Summary: brctl doesn't have meaningful exit code.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: bridge-utils   
(Show other bugs)
Version: beta1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben LaHaise
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-15 09:45 UTC by David Woodhouse
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version: 0.9.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-16 07:37:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Woodhouse 2003-09-15 09:45:12 UTC
brctl doesn't give an exit code indicating success or failure.

# echo "alias bridge off" >> /etc/modules.conf ; brctl addbr br0 ; echo $?
br_add_bridge: Package not installed
0


Ideally, there would at least be a 'test if bridging support is available'
command; 'brctl show > /dev/null' would suffice, if it was going to return
failure from that.


Note You need to log in before you can comment on or make changes to this bug.